<?php
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';
only_reg();
$set['title']='Дневники/Редактировать';
require '../sys/inc/thead.php';
title();
################################################################################
if (!isset($_GET['id']) && !is_numeric($_GET['id'])){header("Location: index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_list` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1",$db), 0)==0){header("Location: index.php?".SID);exit;}
$blog=mysql_fetch_array(mysql_query("select * from `blog_list` where `id`='".intval($_GET['id'])."';"));
################################################################################
if (($user['level']<4) && ($user['id'] !=$blog['id_user']))
{
$set['title']='Ошибка';
require '../sys/inc/thead.php';
title();
echo "У вас нету прав доступа к этой странице!";
echo"<div class='fyt'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
require '../sys/inc/tfoot.php';
exit();
}
################################################################################
if (isset($_GET['edit']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['msg']))
{
$msg=mysql_real_escape_string($_POST['msg']);
$name=mysql_real_escape_string($_POST['name']);
if (strlen2($name)<3)$err='Короткое название';
if (strlen2($name)>50)$err='Длина названия превышает предел в 50 символов';
if (strlen2($msg)<3)$err='Короткий Текст';
if (strlen2($msg)>3000)$err='Длина текста превышает предел в 3000 символа';
$name=htmlspecialchars(trim($_POST['name']));
$msg=htmlspecialchars(trim($_POST['msg']));
################################################################################
if (!isset($err))
{
mysql_query("UPDATE `blog_list` SET `name` = '$name', `read` = '".intval($_POST['read'])."', `msg` = '$msg', `time` = '$time' WHERE `id`='".intval($_GET['id'])."'");
echo"".mysql_error()."";
msg('Запись изменена');
}
}
################################################################################
if (isset($_GET['del']))
{
if (isset($_GET['ok']))
{
mysql_query("DELETE FROM `blog_komm` WHERE `id_blog` = '".$blog['id']."' LIMIT 1");
mysql_query("DELETE FROM `blog_list` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
msg('Запись удалена');
echo "<div class='fyt'>\n";
echo "«<a href='index.php'>Дневники</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}else{
echo "<div class='err'>Вы уверены что хотите удалить запись? <a href='?id=".intval($_GET['id'])."&amp;del&amp;ok'><b><u>Да</u></b></a> / <a href='list.php?id=".intval($_GET['id'])."'><b><u>Нет</u></b></a></div>";
}}
################################################################################
err();
################################################################################
$blog=mysql_fetch_array(mysql_query("select * from `blog_list` where `id`='".intval($_GET['id'])."';"));
################################################################################
echo "<form method='post' action='?id=".intval($_GET['id'])."&amp;edit'>\n";
echo "Название:<br />\n<input type='text' name='name' value='$blog[name]'' /><br />\n";
echo "Текст: <br />";
echo "<textarea name='msg'>$blog[msg]</textarea><br />";
echo "Будут читать:<br />\n<select name='read'>\n";
echo "<option value='0'".($blog['read']==0?" selected='selected'":null).">Все</option>\n";
echo "<option value='2'".($blog['read']==2?" selected='selected'":null).">Только я</option>\n";
echo "</select><br />\n";
echo "<input value='Применит' type='submit' />\n";
echo "</form>\n";
################################################################################
echo "<div class='fyt'>\n";
echo "«<a href='list.php?id=".intval($_GET['id'])."'>Назад</a><br />\n";
echo "«<a href='index.php'>Дневники</a><br />\n";
echo "</div>\n";
################################################################################
require '../sys/inc/tfoot.php';
?>